## x2goserver 4.1.0.3

=== Makefile ===
#!/usr/bin/make -f

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
LIBDIR ?= $(PREFIX)/lib/x2go
SHAREDIR=$(PREFIX)/share/x2go

PERL ?= /usr/bin/perl
PERL_INSTALLDIRS ?= vendor

all: build

build: build-arch build-indep

# make man2html build available from project's base folder...
build_man2html:
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

clean:
	-$(MAKE) -f Makefile.perl clean
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

distclean:
	-$(MAKE) -f Makefile.perl realclean
	$(MAKE) -C x2goserver-common clean
	$(MAKE) -C x2goserver clean
	$(MAKE) -C libx2go-server-db-perl clean
	$(MAKE) -C x2goserver-x2goagent clean
	$(MAKE) -C x2goserver-printing clean
	$(MAKE) -C x2goserver-extensions clean
	$(MAKE) -C x2goserver-xsession clean
	$(MAKE) -C x2goserver-fmbindings clean
	$(MAKE) -C x2goserver-desktopsharing $@

build-arch:
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

build-indep:
	$(PERL) Makefile.PL INSTALLDIRS=$(PERL_INSTALLDIRS)
	$(MAKE) -f Makefile.perl
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

install:
	$(MAKE) -f Makefile.perl pure_install
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

uninstall:
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-desktopsharing $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -f Makefile.perl uninstall
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C x2goserver-common $@
	if test -d $(DESTDIR)$(LIBDIR); then $(RM_DIR) $(DESTDIR)$(LIBDIR); fi
	if test -d $(DESTDIR)$(SHAREDIR)/x2gofeature.d; then $(RM_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d; fi
	if test -d $(DESTDIR)$(SHAREDIR); then $(RM_DIR) $(DESTDIR)$(SHAREDIR); fi
	if test -d $(DESTDIR)$(ETCDIR); then $(RM_DIR) $(DESTDIR)$(ETCDIR); fi

=== libx2go-server-db-perl/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

CC      ?= gcc
override CFLAGS  += -fPIE
override LDFLAGS += -pie

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

#BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=libx2go-server-db-sqlite3-wrapper libx2go-server-db-sqlite3-wrapper.pl
#FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

#man_pages = `cd man && find * -type f`

#MAN2HTML_BIN  = man2html
#MAN2HTML_SRC  = man
#MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:
	$(CC) $(CFLAGS) $(LDFLAGS) -DTRUSTED_BINARY=\"$(LIBDIR)/libx2go-server-db-sqlite3-wrapper.pl\" -o lib/libx2go-server-db-sqlite3-wrapper src/libx2go-server-db-sqlite3-wrapper.c

build-indep:

clean: clean-arch clean-indep

clean-arch:
	rm -f lib/libx2go-server-db-sqlite3-wrapper

clean-indep:

install: install_scripts

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_PROGRAM) lib/*                   $(DESTDIR)$(LIBDIR)/
	getent group x2gouser &>/dev/null && chown root:x2gouser $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper || true
	chmod 2755 $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper

uninstall: uninstall_scripts

uninstall_scripts:
	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done

=== x2goserver-common/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean-arch clean-indep

clean-arch:

clean-indep: clean_man2html

clean_man2html:
	rm -Rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:

install_config:
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)
	$(INSTALL_FILE) etc/x2goserver.conf            $(DESTDIR)$(ETCDIR)/
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords
	$(INSTALL_FILE) etc/x2gosql/sql                $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR)  $(DESTDIR)/${PREFIX}/lib/tmpfiles.d || true
	$(INSTALL_FILE) lib/tmpfiles.d/x2goserver.conf $(DESTDIR)/${PREFIX}/lib/tmpfiles.d/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL_FILE) man/man5/*.5           $(DESTDIR)$(MANDIR)/man5
	gzip -f $(DESTDIR)$(MANDIR)/man5/x2go*.5

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-common     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-common

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goserver.conf
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2gosql/sql
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
	$(RM_FILE) $(DESTDIR)/${PREFIX}/lib/tmpfiles.d/x2goserver.conf
	$(RM_DIR)  $(DESTDIR)/${PREFIX}/lib/tmpfiles.d || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man5/$$file.5.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man5/$$file.5.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-common
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-desktopsharing/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/x2go* $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/desktopsharing
	$(INSTALL_FILE) etc/desktopsharing/settings $(DESTDIR)$(ETCDIR)/desktopsharing/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-desktopsharing     $(DESTDIR)$(SHAREDIR)/versions/

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/desktopsharing/settings
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/desktopsharing || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-desktopsharing
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-extensions/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features .placeholder)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
	$(INSTALL_FILE) lib/extensions/pre-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/
	$(INSTALL_FILE) lib/extensions/post-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-start.d/
	$(INSTALL_FILE) lib/extensions/fail-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/
	$(INSTALL_FILE) lib/extensions/pre-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/
	$(INSTALL_FILE) lib/extensions/post-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/
	$(INSTALL_FILE) lib/extensions/fail-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/
	$(INSTALL_FILE) lib/extensions/pre-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/
	$(INSTALL_FILE) lib/extensions/post-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/
	$(INSTALL_FILE) lib/extensions/fail-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/
	$(INSTALL_FILE) lib/extensions/pre-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/
	$(INSTALL_FILE) lib/extensions/post-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/
	$(INSTALL_FILE) lib/extensions/fail-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/
	$(INSTALL_FILE) lib/extensions/pre-runcommand.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d/
	$(INSTALL_FILE) lib/extensions/post-runcommand.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d/
	$(INSTALL_FILE) lib/extensions/fail-runcommand.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-extensions     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-extensions

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/ || true
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d/.placeholder
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d/
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-extensions
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-fmbindings/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/x2gofm $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL_PROGRAM) share/applications/x2gofm.desktop $(DESTDIR)$(PREFIX)/share/applications/
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/mime/packages
	$(INSTALL_FILE) share/mime/packages/sshfs-x2go.xml $(DESTDIR)$(PREFIX)/share/mime/packages/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-fmbindings     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-printing/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-printing     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-printing

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-printing
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-x2goagent/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755
INSTALL_SYMLINK=ln -s -f

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/x2go
NXLIBDIR ?= $(LIBDIR)/../nx
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=x2goagent $(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_data install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_SYMLINK) ../../$(NXLIBDIR)/bin/x2goagent $(DESTDIR)$(BINDIR)/x2goagent
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/bin/
	$(INSTALL_SYMLINK) nxagent $(DESTDIR)$(NXLIBDIR)/bin/x2goagent

install_data:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/../pixmaps/
	$(INSTALL_FILE) share/pixmaps/x2goagent.xpm $(DESTDIR)$(SHAREDIR)/../pixmaps/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2goagent.options $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2goagent.keyboard $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/keystrokes.cfg $(DESTDIR)$(ETCDIR)/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/*.1           $(DESTDIR)$(MANDIR)/man1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2go*.1

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_SYMLINK) ../../nx/VERSION.nxagent $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-x2goagent

uninstall: uninstall_scripts uninstall_config uninstall_data uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	for file in x2goagent; do $(RM_FILE) $(DESTDIR)$(NXLIBDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_data:
	cd share && for file in pixmaps/x2go.xpm; do \
	    $(RM_FILE) $(DESTDIR)$(SHAREDIR)/../$$file; \
	    $(RM_DIR) $(shell dirname $(DESTDIR)$(SHAREDIR)/../$$file); \
	done

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goagent.options
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goagent.keyboard
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/keystrokes.cfg
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man1/$$file.1.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-x2goagent
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-xsession/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

XSESSIONDIR ?= /etc/X11/Xsession.d
XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options
XINITRCDIR ?= /etc/X11/xinit/xinitrc.d
XCLIENTSDIR ?= /etc/X11/xinit/Xclients.d

ETC_FILES=$(shell cd etc && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:

clean: clean_man2html

clean_man2html:

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#       provide target dirs for X11 related symlinks
	$(INSTALL_PROGRAM) etc/Xsession                 $(DESTDIR)$(ETCDIR)/
	$(INSTALL_SYMLINK) /etc/X11/Xresources          $(DESTDIR)$(ETCDIR)/
	if [ -e /etc/debian_version ]; then if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK) $(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else touch $(DESTDIR)$(ETCDIR)/Xsession.options; fi; fi
	if [ -e /etc/debian_version ]; then if [ -d $(XSESSIONDIR) ]; then $(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.d; $(INSTALL_SYMLINK) $(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xsession.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ]; then if [ -d $(XCLIENTSDIR) ]; then $(INSTALL_SYMLINK) $(XCLIENTSDIR) $(DESTDIR)$(ETCDIR)/Xclients.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xclients.d; fi; fi
	if [ -e /etc/os-release ] && cat /etc/os-release | grep "suse" 1>/dev/null || [ -d /usr/share/doc/packages/brp-check-suse ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi

install_man:

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-xsession     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
	for file in $(ETC_FILES); do $(RM_FILE) $(DESTDIR)$(ETCDIR)/$$file; done
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xresources
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.options
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/xinitrc.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xclients.d

uninstall_man:

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== debian/changelog ===
x2goserver (4.1.0.3-5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/po:
    + Update Danish debconf translations. Thanks to Joe Dalton. (Closes:
      #923074).
    + Update French debconf translations. Thanks to Grégoire Scano.
      (Closes: #930954).
    + Fix Portuguese translation file causing syntax errors.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "binary-targets".
    + Bump to DH compat level version 12.
    + Turn into arch:all bin:pkgs: x2goserver-common, x2goserver-
      desktopsharing.
    + Add Pre-D (x2goserver) field, making sure DH misc:Pre-Depends pkgs get
      added automatically.
  * debian/patches:
    + Add patch header to 1002_cross.patch.
  * debian/*.maintscript:
    + Migrate dpkg-maintscript-helper calls to *.maintscript config files.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #944088)
    + Force a makefile build system as the configure step doesn't record
      cross compilers.
    + 1002_cross.patch: Don't rebuild libx2go-server-db-perl during make
      install.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 20:37:58 +0100

x2goserver (4.1.0.3-4) unstable; urgency=medium

  * debian/po:
    + Add Czech translation. Thanks to Tom Ruzicka from X2Go.
    + Update Portuguese debconf translation. Thanks to Américo Monteiro.
      (Closes: #919165).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 23:02:58 +0100

x2goserver (4.1.0.3-3) unstable; urgency=medium

  * debian/po:
    + Update Dutch debconf translation. Thanks to Frans Spiesschaert. (Closes:
      #918256).
    + Update German debconf translation. Thanks to Chris Leick. (Closes:
      #916045).
  * debian/control:
    + Bump Standards-Version: to.4.3.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Jan 2019 21:30:04 +0100

x2goserver (4.1.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001-x2goversion-Fix-situations-where-compfile-contains-a.patch.
      Cherry-pick fix for broken x2goversion script from upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Dec 2018 11:58:45 +0100

x2goserver (4.1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1001_fix-desktopsharing-version.patch. Fix version number in
      VERSION.x2goserver-desktopsharing.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/*:
    + Use https:// URLs at more places.
  * debian/control (et al.):
    + Add new bin:pkg x2goserver-desktopsharing.
  * debian/libx2go-server-db-perl.postrm:
    + More meticulous package purging.
  * debian/*.<scripts>:
    + Various formatting changes picked from upstream DEB packaging.
  * debian/control:
    + Bump versioned D (x2goserver-x2goagent) on nxagent to (>= 2:3.5.99.17~).
      (Closes: #906795).
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/{compat,control}:
    + Drop compat file, use new DH compat declaration via B-D on
      debhelper-compat in the control file.
  * debian/rules:
    + Drop the attempt of using --with-systemd. It fails since DH compat level
      11 and we only use 11 for the official Debian packages.
  * debian/{x2goserver-x2goagent.*,rules}:
    + Drop /etc/x2go/x2goagent.keyboard. Not required anymore with nxagent
      (>= 2:3.5.99.17~).
  * lintian workaround:
    + Obviously, single quotes are not well supported in lintian checks, so we
      undo some of our over-quoting to make lintian happy.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Nov 2018 10:53:35 +0100

x2goserver (4.1.0.2-3) unstable; urgency=medium

  * debian/po/nl.po:
    + Add Dutch debconf translation. Thanks to  Frans Spiesschaert. (Closes:
      #906942).
    + Add Portuguese translation. Thanks to Américo Monteiro. (Closes: #910403).
    + Add Russian translation. Thanks to Lev Lamberov. (Closes: #910851).
  * debian/libx2go-server-db-perl.postrm:
    + Add file. Remove pgadmin and mysqladmin on package purgal. (Closes:
      #909921).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Oct 2018 11:39:19 +0100

=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 man2html-base,
# Needed for /etc/X11/Xsession.d
 x11-common,
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Homepage: http://wiki.x2go.org
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goserver.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goserver/

Package: x2goserver
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 bc,
 libfile-basedir-perl,
 libfile-which-perl,
 libswitch-perl,
 libtry-tiny-perl,
 libx2go-server-perl (<< ${source:Version}.1~),
 libx2go-server-perl (>= ${source:Version}),
 lsb-base,
 lsof,
 net-tools,
 openssh-client,
 openssh-server,
 perl,
 psmisc,
 pwgen,
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 x2goserver-x2goagent (<< ${source:Version}.1~),
 x2goserver-x2goagent (>= ${source:Version}),
 xauth,
 xkb-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fontconfig,
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 x2goserver-extensions (<< ${source:Version}.1~),
 x2goserver-extensions (>= ${source:Version}),
 x2goserver-fmbindings (<< ${source:Version}.1~),
 x2goserver-fmbindings (>= ${source:Version}),
 x2goserver-printing (<< ${source:Version}.1~),
 x2goserver-printing (>= ${source:Version}),
 x2goserver-xsession (<< ${source:Version}.1~),
 x2goserver-xsession (>= ${source:Version}),
 xfonts-base,
 xinit,
Suggests:
 pulseaudio-utils,
 rdesktop,
Breaks:
 x2godesktopsharing (<< 3.1.1.2-0~),
 x2goserver-compat (<< 4.0.1.99~),
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca (<< 4.0.1.99~),
Replaces:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Description: X2Go Server
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for X2Go server-side
 session administrations.

Package: libx2go-config-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Breaks: libx2go-server-perl (<< 4.1.0.0-4~),
Replaces: libx2go-server-perl (<< 4.1.0.0-4~),
Description: Perl X2Go::Config package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Config Perl package.

Package: libx2go-log-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 libx2go-config-perl (<< ${source:Version}.1~),
 libx2go-config-perl (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Log package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Log Perl package.

Package: libx2go-utils-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Breaks: libx2go-server-perl (<< 4.1.0.0-4~),
Replaces: libx2go-server-perl (<< 4.1.0.0-4~),
Description: Perl X2Go::Utils package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Utils Perl package.

Package: libx2go-server-db-perl
Architecture: any
Section: perl
Depends:
 libconfig-simple-perl,
 libdbd-pg-perl [!armhf],
 libdbd-sqlite3-perl,
# libdbd-mysql-perl,
 libx2go-config-perl (<< ${source:Version}.1~),
 libx2go-config-perl (>= ${source:Version}),
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-utils-perl (<< ${source:Version}.1~),
 libx2go-utils-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: Perl X2Go::Server:DB package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server::DB Perl package.

Package: libx2go-server-perl
Architecture: all
Section: perl
Depends:
 libcapture-tiny-perl,
 libconfig-simple-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-server-db-perl (<< ${source:Version}.1~),
 libx2go-server-db-perl (>= ${source:Version}),
 libx2go-utils-perl (<< ${source:Version}.1~),
 libx2go-utils-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Server package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server Perl package.

Package: x2goserver-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: X2Go Server (common files)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains common files needed by the X2Go Server
 and the X2Go::Server Perl API.

Package: x2goserver-extensions
Architecture: all
Depends:
 x11-xkb-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (extension support)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 The X2Go Server extension namespace offers contributors to add script
 functionality to X2Go that is not needed/ignored by the legacy X2Go
 client (x2goclient).

Package: x2goserver-fmbindings
Architecture: all
Depends:
 desktop-file-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
Description: X2Go Server (file manager bindings)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information for X2Go's
 local folder sharing. It can be used with all freedesktop.org compliant
 desktop shells.
 .
 However, this package will be superseded by other, more specific destkop
 binding components, if installed and being used with the corresponding
 desktop shell:
 .
   - under LXDE by x2golxdebindings
   - under GNOMEv2 by x2gognomebindings
   - under MATE by x2gomatebindings
   - under KDE4/5 by plasma-widget-x2go

Package: x2goserver-printing
Architecture: all
Depends:
 adduser,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Breaks:
 x2goprint,
Replaces:
 x2goprint,
Suggests:
 cups-x2go,
Description: X2Go Server (printing support)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 The X2Go Server printing package provides client-side printing support
 for X2Go.
 .
 This package has to be installed on X2Go Servers that shall be able to
 pass X2Go print jobs on to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS backend. If CUPS server
 and X2Go Server are hosted on different machines, then make sure you
 install this package on the X2Go Server/s (and the cups-x2go package on
 the CUPS server).

Package: x2goserver-x2goagent
Architecture: any
Depends:
 nxagent (>= 2:3.5.99.17~),
 ${misc:Depends},
Suggests:
 x2goserver,
Breaks:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Replaces:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Description: X2Go Server's X2Go Agent
 X2Go is a software suite that uses NX technology for remote desktop
 computing.
 .
 NX technology implements a very efficient compression of the X11
 protocol. This increases performance when using X applications over a
 network, especially a slow one.
 .
 X2Go Agent functionality has been completely incorporated into NX
 agent's code base. If the nxagent binary is executed under the name of
 `x2goagent', the X2Go functionalities get activated.
 .
 This package is a wrapper that activates X2Go branding in nxagent.
 Please refer to the nxagent package's description for more information
 on NX.

Package: x2goserver-xsession
Architecture: all
Depends:
 dbus,
 perl:any,
 x11-common,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (Xsession runner)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This X2Go Server add-on enables Xsession script handling when starting
 desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will enable
 desktop-profiles, ssh-agent startups, gpgagent startups and many more
 Xsession related features on X2Go session login automagically.

Package: x2goserver-desktopsharing
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x2goserver (>= 4.0.0.0-0~),
 x2godesktopsharing (>= 3.2.0.0~),
Breaks: x2godesktopsharing (<< 3.2.0.0~),
Replaces: x2godesktopsharing (<< 3.2.0.0~),
Description: Share X11 desktops with other users via X2Go
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 X2Go Desktop Sharing is an X2Go add-on feature that allows a user to
 grant other X2Go users access to the current session (shadow session
 support). The user's current session may be an X2Go session itself or

=== debian/rules ===
#!/usr/bin/make -f

export NXLIBDIR="/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/nx"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh ${@}

override_dh_auto_build:
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) PERL_INSTALLDIRS=vendor dh_auto_build --buildsystem=makefile

override_dh_auto_install:
	$(MAKE) -f Makefile build-arch
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh_auto_install

override_dh_install:

	# FIXME: the x2goagent.keyboard file is not required with nxagent (>= 3.5.99.17) anymore
	# In fact, this file should be removed upstream.
	rm -f debian/tmp/etc/x2go/x2goagent.keyboard

	dh_install

	# FIXME: upstream has some X2Go scripts in their tarball that are not executable
	# During binary-all builds, the below directory is non-existent, so ignoring
	# any sorts of failures here.
	-chmod a+x debian/x2goserver/usr/lib/x2go/*

	# on arch: all-only,source builds, the x2goserver-x2goagent.features file is non-present.
	# so let's handle this gracefully...
	if [ -e debian/x2goserver-x2goagent/usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features ]; then \
	    chmod 0755 debian/x2goserver-x2goagent/usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features; \
	fi


override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	rm -Rfv x2goserver/.build_html
	rm -Rfv x2goserver-extensions/.build_html
	rm -f MYMETA.yml
	rm -f Makefile.perl.old
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh_auto_clean
	rm -f Makefile.perl

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/x2goserver/x2goserver-(\d+\.\d+\.\d+\.\d+)\.tar\.gz
